Web Funnel Schema
GET
/api/v1/web-funnels/schemaAuthorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredResponses
200Successful Response
successbooleandefault: true
dataWebFunnelSchema | anyShow propertiesHide properties
Any of:
WebFunnelSchema
dimensionsDimensionDef[]requiredShow propertiesHide properties
Array of
DimensionDefkeystringrequiredlabelstringrequiredfilterablebooleanrequiredsearchablebooleanrequiredmetricsMetricDef[]requiredShow propertiesHide properties
Array of
MetricDefkeystringrequiredlabelstringrequiredunitstringrequiredfilter_optionsobjectrequiredsort_directionsSortDirectionDef[]requiredShow propertiesHide properties
Array of
SortDirectionDefvaluestringrequiredAllowed:
ascdesclabelstringrequiredany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
anyRequest
curl -X GET "/api/v1/web-funnels/schema" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("/api/v1/web-funnels/schema", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"/api/v1/web-funnels/schema",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"success": true,
"data": {
"dimensions": [
{
"key": "string",
"label": "string",
"filterable": true,
"searchable": true
}
],
"metrics": [
{
"key": "string",
"label": "string",
"unit": "string"
}
],
"filter_options": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"sort_directions": [
{
"value": "asc",
"label": "string"
}
]
},
"message": "string",
"errors": [
"string"
]
}